Bug 663768 - missing consumer update option in pulp-admin consumer
Summary: missing consumer update option in pulp-admin consumer
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: z_other
Version: unspecified
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: ---
Assignee: Pradeep Kilambi
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks: 673012
TreeView+ depends on / blocked
 
Reported: 2010-12-16 19:19 UTC by Preethi Thomas
Modified: 2013-01-09 17:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-01-09 17:07:18 UTC


Attachments (Terms of Use)

Description Preethi Thomas 2010-12-16 19:19:32 UTC
Description of problem:

pulp-admin consumer update seem to be missing from the cli



[root@preethi ~]# rpm -q pulp
pulp-0.0.114-1.fc14.noarch


[root@preethi ~]# pulp-admin consumer update --id=10.16.79.198 
Usage: pulp-admin <options> consumer <action> <options>
Supported Actions:
	list           list all known consumers 
	info           list of accessible consumer info
	delete         delete the consumer      
	bind           bind the consumer to listed repos
	unbind         unbind the consumer from repos
	add_keyvalue   add key-value information to consumer
	delete_keyvalue delete key-value information from consumer
	update_keyvalue update key-value information of a consumer
	get_keyvalues  get key-value attributes for given consumer
	history        view the consumer history



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Pradeep Kilambi 2010-12-16 19:32:32 UTC
consumer update requires access to local package profile. It is a pulp-client only operation similar to consumer create. They go hand in hand. As of today this is not supported as an admin.

Comment 2 Preethi Thomas 2010-12-16 20:19:56 UTC
Reopening as a feature request.

consumer info is a part of pulp-admin and it has --show-profile option.  so I think it make sense to add consumer update as part of the admin as well.

[root@preethi ~]# pulp-admin consumer info --help
Usage: pulp-admin <options> consumer info <options>

Options:
  -h, --help      show this help message and exit
  --id=ID         consumer identifier eg: foo.example.com
  --show-profile  show package profile information associated with this
                  consumer

Comment 3 Jay Dobies 2012-07-11 18:56:19 UTC
Fixed in v2:

pulp-admin consumer
Usage: pulp-admin consumer [SUB_SECTION, ..] COMMAND
Description: consumer lifecycle (list, update, etc.) commands

Available Sections:
  package - package installation management

Available Commands:
  bind       - binds a consumer to a repository distributor for consuming published content
  history    - lists history of a consumer
  list       - lists summary of consumers registered to the Pulp server
  unbind     - unbinds a consumer from a repository distributor
  unregister - unregisters a consumer
  update     - changes metadata on an existing consumer

Comment 4 Preethi Thomas 2012-11-06 18:07:36 UTC
verified

[root@pulp-master ~]# rpm -q pulp-rpm-consumer-client
pulp-rpm-consumer-client-0.0.335-1.fc17.noarch
[root@pulp-master ~]# pulp-admin consumer
Usage: pulp-admin consumer [SUB_SECTION, ..] COMMAND
Description: consumer lifecycle (list, update, etc.) commands

Available Sections:
  errata        - errata installation management
  group         - consumer group commands
  package       - package installation management
  package-group - package group installation management

Available Commands:
  bind       - binds a consumer to a repository
  history    - lists history of a consumer
  list       - lists summary of consumers registered to the Pulp server
  search     - search items while optionally specifying sort, limit, skip, and requested fields
  unbind     - removes the binding between a consumer and a repository
  unregister - unregisters a consumer
  update     - changes metadata on an existing consumer
[root@pulp-master ~]#

Comment 5 Preethi Thomas 2013-01-09 17:07:18 UTC
Pulp v2.0 released


Note You need to log in before you can comment on or make changes to this bug.